import { apiResquest,apiResquestForm,apiResquestJsonList,apiResquestFormVideo,apiResquestTimer } from '@/api/request/request.js'

//用户修改头像接口
export const systemMineUserEdit = (data) => {
	return apiResquest({
		url: `/system/mine/user/edit`,
		method: 'POST',
		data: { ...data }
	})
};
//预警记录-列表
export const systemMineWarningNoticeList = (data) => {
	return apiResquest({
		url: `/system/mine/warningNoticeList`,
		method: 'POST',
		data: { ...data }
	})
};
//预警记录-非预案详情
export const systemMineWarningNoticeDetail = (data) => {
	return apiResquest({
		url: `/system/mine/warningNoticeDetail`,
		method: 'get',
		data: { ...data }
	})
};
//预警记录-预案详情
export const laboratoryEventFindByEventId = (data) => {
	return apiResquest({
		url: `/laboratory/event/findByEventId`,
		method: 'get',
		data: { ...data }
	})
};
//进出记录/离开检查-实验室列表
export const laboratoryAppletSignSubList = (data) => {
	return apiResquest({
		url: `/laboratory/applet/signSubList`,
		method: 'POST',
		data: { ...data }
	})
};
//进出记录-头部数据
export const laboratoryAppletPassOutCount = (data) => {
	return apiResquest({
		url: `/laboratory/applet/passOutCount`,
		method: 'POST',
		data: { ...data }
	})
};
//进出记录-列表
export const laboratoryAppletPassOutList = (data) => {
	return apiResquest({
		url: `/laboratory/applet/passOutList`,
		method: 'POST',
		data: { ...data }
	})
};
//进出记录-照片列表
export const laboratoryAppletPhotoInspectList = (data) => {
	return apiResquest({
		url: `/laboratory/applet/photoInspectList`,
		method: 'POST',
		data: { ...data }
	})
};
//离开检查-检查项查询
export const laboratoryAppletOutCheckList = (data) => {
	return apiResquest({
		url: `/laboratory/applet/outCheckList`,
		method: 'POST',
		data: { ...data }
	})
};
//离开检查-提交
export const laboratoryAppletAddPhotoInspect = (data) => {
	return apiResquest({
		url: `/laboratory/applet/addPhotoInspect`,
		method: 'POST',
		data: { ...data }
	})
};


//查询用户电子签名
export const querySignature = (data) => {
	return apiResquest({
		  url: `/system/user/querySignature`,
		method: 'get',
		data: { ...data }
	})
};
//小程序电子签名抠图生成图片
export const querygenSign  = (data) => {
    return apiResquest({
        url: `/system/user/genSign`,
        method: 'POST',
        data: {...data}
    })
};
//小程序用户修改签名
export const updateSignature  = (data) => {
    return apiResquest({
        url: `/system/user/updateSignature`,
        method: 'POST',
        data: {...data}
    })
};